@import '../../styles/variables.scss';

.form {
  padding: 48px 22px;
  box-sizing: border-box;

  width: 100%;

  border: 1px solid $gray-1;

  box-shadow: $form-shadow;
  background-color: #fff;

  &_result {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &_list {
    @include reset-list;

    margin: 36px 0;

    & li {
      margin-bottom: 24px;

      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  &_preloader {
    height: 44px;

    display: flex;
    align-items: center;
    justify-content: center;
  }

  &_upload_file {
    position: relative;

    margin: 24px 0;
    
    display: flex;
    align-items: center;
    
    &__input {
      @include base-absolute;

      cursor: pointer;
      opacity: 0;
    }

    &__text {
      margin-left: 5px;
      
      font-size: 14px;
      text-decoration: underline;
    }
  }
}

@media (min-width: $breakpoint-2) {
  .form {
    padding: 48px 72px;
  }
}